Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.bridge
Class String2FieldBridgeAdaptor

    java.lang.Object
      org.hibernate.search.bridge.String2FieldBridgeAdaptor

All Implemented Interfaces:
  FieldBridge

Direct Known Subclasses:
  TwoWayString2FieldBridgeAdaptor

    public class String2FieldBridgeAdaptor

extends Object
implements FieldBridge

Bridge to use a StringBridge as a FieldBridge

Author:
  Emmanuel Bernard

Constructor Summary
`String2FieldBridgeAdaptor(StringBridge stringBridge)`

Method Summary
`void` | `set(String name, Object value, org.apache.lucene.document.Document document, org.apache.lucene.document.Field.Store store, org.apache.lucene.document.Field.Index index, Float boost)` Manipulate the document to index the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### String2FieldBridgeAdaptor

    public String2FieldBridgeAdaptor(StringBridge stringBridge)

Method Detail

### set

    public void set(String name,
                    Object value,
                    org.apache.lucene.document.Document document,
                    org.apache.lucene.document.Field.Store store,
                    org.apache.lucene.document.Field.Index index,
                    Float boost)

  Description copied from interface: `FieldBridge`
  Manipulate the document to index the given value. A common implementation is to add a Field `name` to the given document following the parameters (`store`, `index`, `boost`) if the `value` is not null

  Specified by:
    `set` in interface `FieldBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD